Beyond Inventor Wizard... The Community!

Autodesk Inventor en AutoCAD Forum

Hallo,

Ik heb een samenstellingstekening, waarin ik een level of detail heb aangemaakt.

Dit om mijn omgeving niet op mijn 2D te hoeven zetten in alle zichten.

Nu heb ik ook verschillende Position representations, omdat ik met cilinders zit die heffen en draaien om het verloop van de machine op tekening te zetten.

 

Wanneer ik nu zichten met verschillende  Position rep. en Level of details op mijn 2D plaats, En ik wil deze uitlijnen m.b.v. de functie Align. Lijnt hij deze zichten verkeerd uit, ze staan verschoven t.o.v. elkaar.

 

Iemand een id hoe dit komt?

Op welke basis/hoe bepaald hij zijn alignment?

 

 

Aantal maal bekeken: 278

Hierop reageren

Berichten in deze discussie

Beste,

Ik denk dat alles uitgelijnd wordt naar u assenstelsel.

Dus als u tekeningen dewelke je wil uitlijnen een verschillende positie hebben t.o.v de oorsprong, zullen deze ook zo uitgelijnd worden.

Misschien bestaat er een ander manier om je 2D-tekeningen te maken.

Mvg,

Christophe

Ik heb de assembly, met mijn referentievlak op de origin geplaatst.

Alsook  grounded gezet, maar zelf dan doet hij het verkeerd.

 

Inventor lijnt de views uit op het midden van de views. Wanneer je een view aanklikt dan is er een rechthoek zichtbaar, het midden van dat rechthoek wordt gebruikt.

Rob

Ik heb hier de  basiscode geschreven die hopelijk doet wat jij wil...

Doel: 2 aanzichten horizontaal uitlijnen aan de hand van 2 geslecteerde horizontale randen in 2 drawingviews

*Selecteer eerst het aanzicht dat moet blijven staan, daarna een horizontale rand in hetzelfde aanzicht.

*Dan het aanzicht dat je wil uitlijnen en een horizontale rand in hetzelfde aanzicht.

Op voorwaarde dat het 2e aanzicht vrij is om vertikaal te bewegen natuurlijk.

PS: er zit geen errortrapping ed in, maar ik heb dit snel even tussendoor getypt voor jou :-)

Probeer deze code eens:

Sub AlignHorizontal

Dim oDrawDoc As DrawingDocument
Set oDrawDoc = ThisApplication.ActiveDocument

Dim oSheet As Sheet
Set oSheet = oDrawDoc.ActiveSheet

Dim oDrawingView As DrawingView
Set oDrawingView = ThisApplication.CommandManager.Pick(kDrawingViewFilter, "Select base view.")

Dim Ocurve As DrawingCurveSegment
Set Ocurve = ThisApplication.CommandManager.Pick(kDrawingCurveSegmentFilter, "Select a horizontal curve.")

Dim oDrawingView1 As DrawingView
Set oDrawingView1 = ThisApplication.CommandManager.Pick(kDrawingViewFilter, "Select view to align with.")

Dim Ocurve1 As DrawingCurveSegment
Set Ocurve1 = ThisApplication.CommandManager.Pick(kDrawingCurveSegmentFilter, "Select a horizontal curve.")

Dim X, Y, Z As Double
X = Ocurve.StartPoint.Y
Y = Ocurve1.StartPoint.Y
Z = X - Y

Dim oPoint As Point2d
If Y <= 0 Then
Set oPoint = ThisApplication.TransientGeometry.CreatePoint2d(oDrawingView1.Position.X, oDrawingView1.Position.Y - Z)
Else
Set oPoint = ThisApplication.TransientGeometry.CreatePoint2d(oDrawingView1.Position.X, oDrawingView1.Position.Y + Z)
End If

oDrawingView1.Center = oPoint


End Sub

RSS

Interessante links

Word Fan!

Inventor Wizard Cartoons

Video's

  • Video's toevoegen
  • Alles weergeven

© 2020   Gemaakt door Stefaan Boel.   Verzorgd door

Banners  |  Een probleem rapporteren?  |  Algemene voorwaarden